import { UmbBlockPropertyValueCloner } from './block-property-value-cloner.api.js';
export class UmbFlatLayoutBlockPropertyValueCloner extends UmbBlockPropertyValueCloner {
    //
    _cloneLayout(layouts) {
        return layouts ? Promise.all(layouts.map((layout) => this._cloneBlock(layout))) : undefined;
    }
}
